List historical risk assessments for an agent
curl --request GET \
--url https://api.mnemom.ai/v1/risk/history/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/risk/history/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/risk/history/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assessments": [
{
"assessment_id": "<string>",
"agent_id": "<string>",
"risk_score": 123,
"contributing_factors": [
{}
],
"suggested_thresholds": {},
"explanation": "<string>",
"proof_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Risk
List historical risk assessments for an agent
List historical risk assessments for an agent.
GET
/
risk
/
history
/
{agent_id}
List historical risk assessments for an agent
Authentication required. Pass your Bearer token (
Authorization: Bearer <token>) or API key (X-Mnemom-Api-Key: <key>). Results are filtered to your account. See Authorization model.Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Agent identifier (e.g. smolt-abc123)
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I